Package alt.java.io

# Interface File

All Known Implementing Classes:
  `FileImpl`, `MockFile`

public interface File

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canRead()`
`boolean`
`canWrite()`
`int`
`compareTo(File pathname)`
`int`
`compareTo(Object o)`
`boolean`
`createNewFile()`
`File`
`createTempFile(String prefix, String suffix)`
`File`
`createTempFile(String prefix, String suffix, File directory)`
`boolean`
`delete()`
`void`
`deleteOnExit()`
`boolean`
`exists()`
`File`
`getAbsoluteFile()`
`String`
`getAbsolutePath()`
`File`
`getCanonicalFile()`
`String`
`getCanonicalPath()`
`String`
`getName()`
`String`
`getParent()`
`File`
`getParentFile()`
`String`
`getPath()`
`File`
`getRealFile()`
`boolean`
`isAbsolute()`
`boolean`
`isDirectory()`
`boolean`
`isFile()`
`boolean`
`isHidden()`
`long`
`lastModified()`
`long`
`length()`
`String[]`
`list()`
`String[]`
`list(FilenameFilter filter)`
`File[]`
`listFiles()`
`File[]`
`listFiles(FileFilter filter)`
`File[]`
`listFiles(FilenameFilter filter)`
`File[]`
`listRoots()`
`boolean`
`mkdir()`
`boolean`
`mkdirs()`
`boolean`
`renameTo(File dest)`
`boolean`
`setLastModified(long time)`
`boolean`
`setReadOnly()`
`URL`
`toURL()`

## Method Details

### getName

String getName()

### getParent

String getParent()

### getParentFile

File getParentFile()

### getPath

String getPath()

### isAbsolute

boolean isAbsolute()

### getAbsolutePath

String getAbsolutePath()

### getAbsoluteFile

File getAbsoluteFile()

### getCanonicalPath

String getCanonicalPath() throws IOException

Throws:
  `IOException`

### getCanonicalFile

File getCanonicalFile() throws IOException

Throws:
  `IOException`

### toURL

URL toURL() throws MalformedURLException

Throws:
  `MalformedURLException`

### canRead

boolean canRead()

### canWrite

boolean canWrite()

### exists

boolean exists()

### isDirectory

boolean isDirectory()

### isFile

boolean isFile()

### isHidden

boolean isHidden()

### lastModified

long lastModified()

### length

long length()

### createNewFile

boolean createNewFile() throws IOException

Throws:
  `IOException`

### delete

boolean delete()

### deleteOnExit

void deleteOnExit()

### list

String[] list()

### list

String[] list(FilenameFilter filter)

### listFiles

File[] listFiles()

### listFiles

File[] listFiles(FilenameFilter filter)

### listFiles

File[] listFiles(FileFilter filter)

### mkdir

boolean mkdir()

### mkdirs

boolean mkdirs()

### renameTo

boolean renameTo(File dest)

### setLastModified

boolean setLastModified(long time)

### setReadOnly

boolean setReadOnly()

### compareTo

int compareTo(File pathname)

### compareTo

int compareTo(Object o)

### getRealFile

File getRealFile()

### createTempFile

File createTempFile(String prefix, String suffix, File directory) throws IOException

Throws:
  `IOException`

### createTempFile

File createTempFile(String prefix, String suffix) throws IOException

Throws:
  `IOException`

### listRoots

File[] listRoots()